Skip to navigation

Trigger Scoped Factory Job Run

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

factory_idstringRequired
namestringRequired

Headers

X-Islo-Api-VersionstringRequired

Request

This endpoint expects an object.
paramsmap from strings to anyOptional

Run-time parameter values (validated against [job.params])

regionstring or nullOptional
Compute region override
version_idstring or nullOptionalformat: "uuid"

Deployed version to run; defaults to latest

Response

Successful Response
artifact_refslist of objects
completed_atdatetime or null
created_atdatetime
error_messagestring or null
idstringformat: "uuid"
job_namestring
job_version_idstringformat: "uuid"
manifestmap from strings to any
regionstring or null
result_payloadmap from strings to any or null
run_paramsmap from strings to any
started_atdatetime or null
statusstring
step_timelinelist of objects
compute_cost_centsintegerOptionalDefaults to 0
cost_rated_atdatetime or nullOptional
error_codestring or nullOptional
error_detailsmap from strings to any or nullOptional
failure_classstring or nullOptional
inference_cost_centsintegerOptionalDefaults to 0
total_cost_centsintegerOptionalDefaults to 0

Errors

422
Unprocessable Entity Error